Trace causal chain from a decision.
AuthorizationBearer <token>
Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).
In: header
Path Parameters
decision_id*Decision Id
Query Parameters
direction?Direction
causes, effects, or both
max_depth?Max Depth
Maximum traversal depth
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/memory/decisions/string/causal-chain"null{
"detail": {
"code": "invalid_scoped_validity",
"message": "string",
"retryable": false
}
}{
"detail": {
"code": "invalid_scoped_validity",
"message": "string",
"retryable": false
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}{
"detail": {
"code": "invalid_scoped_validity",
"message": "string",
"retryable": false
}
}